com.amazonaws.services.cloudfront.model

## Class CustomOriginConfig

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CustomOriginConfig

All Implemented Interfaces:
  Serializable, Cloneable

    public class CustomOriginConfig
    extends Object
    implements Serializable, Cloneable

A customer origin.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CustomOriginConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CustomOriginConfig` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getHTTPPort()` The HTTP port the custom origin listens on.
`Integer` `getHTTPSPort()` The HTTPS port the custom origin listens on.
`String` `getOriginProtocolPolicy()` The origin protocol policy to apply to your origin.
`OriginSslProtocols` `getOriginSslProtocols()` The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.
`int` `hashCode()`
`void` `setHTTPPort(Integer hTTPPort)` The HTTP port the custom origin listens on.
`void` `setHTTPSPort(Integer hTTPSPort)` The HTTPS port the custom origin listens on.
`void` `setOriginProtocolPolicy(OriginProtocolPolicy originProtocolPolicy)` The origin protocol policy to apply to your origin.
`void` `setOriginProtocolPolicy(String originProtocolPolicy)` The origin protocol policy to apply to your origin.
`void` `setOriginSslProtocols(OriginSslProtocols originSslProtocols)` The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CustomOriginConfig` `withHTTPPort(Integer hTTPPort)` The HTTP port the custom origin listens on.
`CustomOriginConfig` `withHTTPSPort(Integer hTTPSPort)` The HTTPS port the custom origin listens on.
`CustomOriginConfig` `withOriginProtocolPolicy(OriginProtocolPolicy originProtocolPolicy)` The origin protocol policy to apply to your origin.
`CustomOriginConfig` `withOriginProtocolPolicy(String originProtocolPolicy)` The origin protocol policy to apply to your origin.
`CustomOriginConfig` `withOriginSslProtocols(OriginSslProtocols originSslProtocols)` The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CustomOriginConfig

    public CustomOriginConfig()

### Method Detail

#### setHTTPPort

    public void setHTTPPort(Integer hTTPPort)

The HTTP port the custom origin listens on.

Parameters:
  `hTTPPort` - The HTTP port the custom origin listens on.

#### getHTTPPort

    public Integer getHTTPPort()

The HTTP port the custom origin listens on.

Returns:
  The HTTP port the custom origin listens on.

#### withHTTPPort

    public CustomOriginConfig withHTTPPort(Integer hTTPPort)

The HTTP port the custom origin listens on.

Parameters:
  `hTTPPort` - The HTTP port the custom origin listens on.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHTTPSPort

    public void setHTTPSPort(Integer hTTPSPort)

The HTTPS port the custom origin listens on.

Parameters:
  `hTTPSPort` - The HTTPS port the custom origin listens on.

#### getHTTPSPort

    public Integer getHTTPSPort()

The HTTPS port the custom origin listens on.

Returns:
  The HTTPS port the custom origin listens on.

#### withHTTPSPort

    public CustomOriginConfig withHTTPSPort(Integer hTTPSPort)

The HTTPS port the custom origin listens on.

Parameters:
  `hTTPSPort` - The HTTPS port the custom origin listens on.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOriginProtocolPolicy

    public void setOriginProtocolPolicy(String originProtocolPolicy)

The origin protocol policy to apply to your origin.

Parameters:
  `originProtocolPolicy` - The origin protocol policy to apply to your origin.
See Also:
  `OriginProtocolPolicy`

#### getOriginProtocolPolicy

    public String getOriginProtocolPolicy()

The origin protocol policy to apply to your origin.

Returns:
  The origin protocol policy to apply to your origin.
See Also:
  `OriginProtocolPolicy`

#### withOriginProtocolPolicy

    public CustomOriginConfig withOriginProtocolPolicy(String originProtocolPolicy)

The origin protocol policy to apply to your origin.

Parameters:
  `originProtocolPolicy` - The origin protocol policy to apply to your origin.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `OriginProtocolPolicy`

#### setOriginProtocolPolicy

    public void setOriginProtocolPolicy(OriginProtocolPolicy originProtocolPolicy)

The origin protocol policy to apply to your origin.

Parameters:
  `originProtocolPolicy` - The origin protocol policy to apply to your origin.
See Also:
  `OriginProtocolPolicy`

#### withOriginProtocolPolicy

    public CustomOriginConfig withOriginProtocolPolicy(OriginProtocolPolicy originProtocolPolicy)

The origin protocol policy to apply to your origin.

Parameters:
  `originProtocolPolicy` - The origin protocol policy to apply to your origin.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `OriginProtocolPolicy`

#### setOriginSslProtocols

    public void setOriginSslProtocols(OriginSslProtocols originSslProtocols)

The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

Parameters:
  `originSslProtocols` - The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

#### getOriginSslProtocols

    public OriginSslProtocols getOriginSslProtocols()

The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

Returns:
  The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

#### withOriginSslProtocols

    public CustomOriginConfig withOriginSslProtocols(OriginSslProtocols originSslProtocols)

The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.

Parameters:
  `originSslProtocols` - The SSL/TLS protocols that you want CloudFront to use when communicating with your origin over HTTPS.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CustomOriginConfig clone()

Overrides:
  `clone` in class `Object`